.centos-openssl-backend:
  variables:
    DISTRO: cryptsetup-centos-stream-9
  extends:
    - .dump_kernel_log
  before_script:
    - >
      sudo dnf -y -q  install
      autoconf automake device-mapper-devel gcc gettext-devel json-c-devel
      libblkid-devel libpwquality-devel libselinux-devel libssh-devel libtool
      libuuid-devel make popt-devel libsepol-devel nc openssh-clients passwd
      pkgconfig sharutils sshpass tar uuid-devel vim-common device-mapper
      expect gettext git jq keyutils openssl-devel openssl gem
    - sudo gem install asciidoctor
    - sudo -E git clean -xdf
    - ./autogen.sh
    - ./configure --enable-fips --enable-pwquality --with-crypto_backend=openssl --enable-asciidoc

# non-FIPS jobs

test-main-commit-centos-stream9:
  extends:
    - .centos-openssl-backend
  tags:
    - libvirt
    - cryptsetup-centos-stream-9
  stage: test
  interruptible: true
  variables:
    RUN_SSH_PLUGIN_TEST: "1"
  rules:
    - if: $RUN_SYSTEMD_PLUGIN_TEST != null
      when: never
    - if: $CI_PROJECT_PATH != "daniel.zatovic/cryptsetup"
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH || $CI_COMMIT_BRANCH =~ /v2\..\.x$/
  script:
    - make -j
    - make -j -C tests check-programs
    - sudo -E make check

test-mergerq-centos-stream9:
  extends:
    - .centos-openssl-backend
  tags:
    - libvirt
    - cryptsetup-centos-stream-9
  stage: test
  interruptible: true
  variables:
    RUN_SSH_PLUGIN_TEST: "1"
  rules:
    - if: $RUN_SYSTEMD_PLUGIN_TEST != null
      when: never
    - if: $CI_PROJECT_PATH != "daniel.zatovic/cryptsetup"
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
  script:
    - make -j
    - make -j -C tests check-programs
    - sudo -E make check
